--- doxywizard.cpp.old	2006-03-07 16:43:40.000000000 -0500
+++ doxywizard.cpp	2006-03-07 17:15:13.000000000 -0500
@@ -1187,10 +1187,24 @@
 
 void MainWidget::saveConfigFile()
 {
-  QString fn = QFileDialog::getSaveFileName(m_workingDir->text()+"/Doxyfile",QString::null,this);
+saveConfigRetry:
+
+  QString fn = QFileDialog::getSaveFileName(m_workingDir->text()+"/Doxyfile",QString::null,this); 
+
   if (!fn.isEmpty())
   {
     QFile f(fn);
+
+    if ( f.exists() )
+    {
+      if ( QMessageBox::question(this,"File Overwrite",
+                "Do you wish to overwrite " + fn + "?",
+                QMessageBox::Yes, QMessageBox::No | QMessageBox::Default)==QMessageBox::No )
+      {
+        goto saveConfigRetry;
+      }
+    }
+
     if (f.open(IO_WriteOnly))
     {
       QTextStream t(&f);
